TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.EMSSSLFileStoreInfo Class Reference

Specifies the file store information. More...

## Public Member Functions
| EMSSSLFileStoreInfo ()
| creates an object of type file store info More...
void | SetSSLClientIdentity (String clientIdentity)
| Set the client identity as a string More...
void | SetSSLPassword (char[] password)
| Set the private key password More...
void | SetSSLClientIdentity (X509Certificate cert)
| Set the client identity as a X509 Certificate. More...
void | SetSSLTrustedCertificate (String certificate)
| Add this specified certificate to the list of of trusted certificates More...
void | SetSSLTrustedCertificate (X509Certificate cert)
| Add this specified certificate to the list of of trusted certs. Note: only ASN1.DER encoded files are supported More...
void | ClearTrustedCerts ()
| Removes all previously set trusted certificates. More...
override String | ToString ()
| Returns a string representation of the EMSSSLFileStore Info object More...

## Detailed Description

Specifies the file store information.

File Store Info object to be used while setting the store for a connection factory via the ConnectionFactory.SetCertificateStoreType or while using the global EMSSSL API to set the certificate store. The store info consists of the client's identity (the only type supported is the pkcs12 file aka .pfx file format), the password for the private key stored in the pkcs12 file and any optional trusted certificates.

## Constructor & Destructor Documentation

TIBCO.EMS.EMSSSLFileStoreInfo.EMSSSLFileStoreInfo | ( |  | ) |
| inline

creates an object of type file store info

This object is used mainly to specify file store information when the store type of FILE is used by the ConnectionFactory.SetCertificateStoreType method.

## Member Function Documentation

void TIBCO.EMS.EMSSSLFileStoreInfo.ClearTrustedCerts | ( |  | ) |
| inline

Removes all previously set trusted certificates.

void TIBCO.EMS.EMSSSLFileStoreInfo.SetSSLClientIdentity | ( | String | clientIdentity | ) |
| inline

Set the client identity as a string

Sets Client Identity (The client's digital certificate), the only file type that is supported here is a pkcs12 or .pfx file.

Note: If other file format are specifed then a configuration exception will be thrown during the SSL handshake.

To set the Client Identity as a string:

public void SetSSLClientIdentity(clientId);

Parameters

  clientIdentity | The X509 Certificate used to identify the client.

void TIBCO.EMS.EMSSSLFileStoreInfo.SetSSLClientIdentity | ( | X509Certificate | cert | ) |
| inline

Set the client identity as a X509 Certificate.

Sets Client Identity (The client's digital certificate), the only file type that is supported here is a pkcs12 or .pfx file.

Note: If other file format are specifed then a configuration exception will be thrown during the SSL handshake.

To set Client Identity as a X509 Certificate, use:

void SetSSLClientIdentity(X509Certificate);

Parameters

  cert | A pkcs12 or .pfx file used to identify the client.

void TIBCO.EMS.EMSSSLFileStoreInfo.SetSSLPassword | ( | char[] | password | ) |
| inline

Set the private key password

Parameters

  password | The SSL Password.

void TIBCO.EMS.EMSSSLFileStoreInfo.SetSSLTrustedCertificate | ( | String | certificate | ) |
| inline

Add this specified certificate to the list of of trusted certificates

Only ASN1.DER encoded files are supported.

Parameters

  certificate | The name of the certificate to add to the list of trusted certificates.

void TIBCO.EMS.EMSSSLFileStoreInfo.SetSSLTrustedCertificate | ( | X509Certificate | cert | ) |
| inline

Add this specified certificate to the list of of trusted certs. Note: only ASN1.DER encoded files are supported

override String TIBCO.EMS.EMSSSLFileStoreInfo.ToString | ( |  | ) |
| inline

Returns a string representation of the EMSSSLFileStore Info object